Results 1 to 4 of 4

Thread: VirtualBox error (rc=-1908)

  1. #1
    Join Date
    Nov 2013
    Beans
    2

    VirtualBox error (rc=-1908)

    Hello All,

    I'm fairly new to Ubuntu so first of all I'm sorry if I seem pretty noob! I've installed VirtualBox using Ubuntu Software Centre, however when I try and start a virtual machine I get the below error;

    The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

    '/etc/init.d/vboxdrv setup'

    as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.


    I have ran some commands below which I'm hoping will give you guys some clarity on what is on my machine and will help me fix this !

    Also I have tried removing and reinstalling Virtualbox, however to no avail it did not fix my problem.

    shingdayho@shingdayho:~$ ls /etc/init.d/v*
    /etc/init.d/virtualbox /etc/init.d/virtualbox-guest-x11
    /etc/init.d/virtualbox-guest-utils

    shingdayho@shingdayho:~$ uname -a
    Linux shingdayho 3.5.0-42-generic #65-Ubuntu SMP Tue Oct 1 23:38:22 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

    shingdayho@shingdayho:/$ ls /usr/src/
    linux-headers-3.5.0-17 virtualbox-4.1.18 virtualbox-guest-4.1.18

    shingdayho@shingdayho:/usr/src/virtualbox-4.1.18$ ls
    common generic Makefile r0drv vboxdrv vboxnetflt
    dkms.conf include math VBox vboxnetadp vboxpci

    shingdayho@shingdayho:/usr/src/virtualbox-4.1.18/vboxdrv$ make
    Makefile:184: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again. Stop.

    Thankyou for taking the time to look into my problem !

  2. #2
    Join Date
    Nov 2013
    Beans
    390

    Re: VirtualBox error (rc=-1908)

    Download and install the newest verson ov virtualbox from the oracle website. Should fix it.

  3. #3
    Join Date
    Nov 2013
    Beans
    2

    Re: VirtualBox error (rc=-1908)

    Yup. That fixed it, thanks a lot dude

  4. #4
    Join Date
    Jan 2014
    Beans
    6

    Re: VirtualBox error (rc=-1908)

    I'm getting the same error.

    OS: Linux 12.10
    Virtual Box: 4.3.6-91406
    5 G of Ram
    XP SP3 is what I'm trying to run

    I have tried 4.2.20 and I get the same error.

    Didn't have this issue on 12.04, but I wanted to run 12.10, 'cause it is newer

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •